summaryrefslogtreecommitdiffstats
path: root/system/elo-mt-usb/rc.elo-mt-usb.new
diff options
context:
space:
mode:
author Jan F. Chadima2018-07-28 01:02:20 +0200
committer Willy Sudiarto Raharjo2018-07-28 03:51:48 +0200
commite94ee23d320f1b337481b4742b80da97a917a3d8 (patch)
treecb53d169445545cf94595e8f1015747f0d281288 /system/elo-mt-usb/rc.elo-mt-usb.new
parent5257366819a23081dc3a7919d50e29348a816240 (diff)
downloadslackbuilds-e94ee23d320f1b337481b4742b80da97a917a3d8.tar.gz
system/elo-mt-usb: Added (elo USB multitouch controller driver).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system/elo-mt-usb/rc.elo-mt-usb.new')
-rw-r--r--system/elo-mt-usb/rc.elo-mt-usb.new46
1 files changed, 46 insertions, 0 deletions
diff --git a/system/elo-mt-usb/rc.elo-mt-usb.new b/system/elo-mt-usb/rc.elo-mt-usb.new
new file mode 100644
index 0000000000..14b884617b
--- /dev/null
+++ b/system/elo-mt-usb/rc.elo-mt-usb.new
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+# rc script for elo-mt-usb touch screen driver
+#
+# Avoid being interrupted by child or keyboard
+#
+trap "echo" SIGINT SIGSEGV SIGQUIT SIGTERM
+set +e
+
+case "$1" in
+ start)
+ # Create Elo Devices for communication
+
+ mode="776" # Why is it group writtable ?
+ elo_usb_device_path="/dev/elo-mt-usb/"
+ elo_usb_rspfifo="rsp_fifo"
+ elo_usb_cmdfifo="cmd_fifo"
+
+ rm -f $elo_usb_device_path$elo_usb_cmdfifo
+ rm -f $elo_usb_device_path$elo_usb_rspfifo
+
+ mkdir -p $elo_usb_device_path
+
+ mkfifo $elo_usb_device_path$elo_usb_rspfifo
+ mkfifo $elo_usb_device_path$elo_usb_cmdfifo
+
+ chmod $mode $elo_usb_device_path$elo_usb_cmdfifo
+ chmod $mode $elo_usb_device_path$elo_usb_rspfifo
+
+ # Load the Elo kernel module [input device driver]
+ modprobe elo_mt_input_mod
+
+ # Load the PC speaker kernel module into memory for Beep-On-Touch
+ #modprobe pcspkr
+
+ sleep 1 # Why?
+
+ # Load the Elo USB Touchscreen Daemon into memory
+ /etc/opt/elo-mt-usb/elomtusbd
+ ;;
+ stop)
+ ;;
+ *)
+ echo "Usage: $0 {start}" >&2
+ exit 1
+esac